package com.yeejoin.amos.fas.core.util;

import java.io.Serializable;

/**
 * @ProjectName: YeeAmosFireAutoSysRoot
 * @Package: com.yeejoin.amos.fas.core.util
 * @ClassName: ResponseModel
 * @Author: Jianqiang Gao
 * @Description:
 * @Date: 2021/1/7 15:00
 * @Version: 1.0
 */
public class ResponseModel<T> implements Serializable {
    private static final long serialVersionUID = -1241360949457314497L;
    private int status;
    private T result;
    private String traceId;
    private String devMessage = "";
    private String message = "";
    private String path;

    public ResponseModel() {
    }

    public String getMessage() {
        return this.message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getPath() {
        return this.path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getDevMessage() {
        return this.devMessage;
    }

    public void setDevMessage(String devMessage) {
        this.devMessage = devMessage;
    }

    public String getTraceId() {
        return this.traceId;
    }

    public void setTraceId(String traceId) {
        this.traceId = traceId;
    }

    public int getStatus() {
        return this.status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public T getResult() {
        return this.result;
    }

    public void setResult(T result) {
        this.result = result;
    }

    public String toString() {
        return "ResponseModel [status=" + this.status + ", result=" + this.result + ", traceId=" + this.traceId + ", message=" + this.devMessage + "]";
    }
}